"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseRelationshipNameMixin = void 0;
const tslib_1 = require("tslib");
const typeorm_1 = require("@nestjs/typeorm");
const common_1 = require("@nestjs/common");
const helpers_1 = require("../../../helpers");
const mixin_1 = require("../../../helpers/mixin");
function parseRelationshipNameMixin(entity, connectionName) {
    let ParseRelationshipNameMixin = class ParseRelationshipNameMixin {
        async transform(value) {
            const generalErrors = await (0, helpers_1.checkResourceRelationName)(value, this.repository.metadata);
            if (generalErrors.length > 0) {
                throw new common_1.UnprocessableEntityException(generalErrors);
            }
            return value;
        }
    };
    (0, tslib_1.__decorate)([
        (0, typeorm_1.InjectRepository)(entity, connectionName),
        (0, tslib_1.__metadata)("design:type", Object)
    ], ParseRelationshipNameMixin.prototype, "repository", void 0);
    ParseRelationshipNameMixin = (0, tslib_1.__decorate)([
        (0, common_1.Injectable)()
    ], ParseRelationshipNameMixin);
    return (0, mixin_1.mixin)(ParseRelationshipNameMixin);
}
exports.parseRelationshipNameMixin = parseRelationshipNameMixin;
//# sourceMappingURL=parse-relationship-name.js.map