"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OperandsMap = exports.FilterOperand = void 0;
var FilterOperand;
(function (FilterOperand) {
    FilterOperand["eq"] = "eq";
    FilterOperand["gt"] = "gt";
    FilterOperand["gte"] = "gte";
    FilterOperand["in"] = "in";
    FilterOperand["like"] = "like";
    FilterOperand["lt"] = "lt";
    FilterOperand["lte"] = "lte";
    FilterOperand["ne"] = "ne";
    FilterOperand["nin"] = "nin";
    FilterOperand["regexp"] = "regexp";
    FilterOperand["some"] = "some";
})(FilterOperand = exports.FilterOperand || (exports.FilterOperand = {}));
exports.OperandsMap = {
    [FilterOperand.eq]: '= :EXPRESSION',
    [FilterOperand.regexp]: '~* :EXPRESSION',
    [FilterOperand.gt]: '> :EXPRESSION',
    [FilterOperand.gte]: '>= :EXPRESSION',
    [FilterOperand.in]: 'IN (:...EXPRESSION)',
    [FilterOperand.like]: 'ILIKE :EXPRESSION',
    [FilterOperand.lt]: '< :EXPRESSION',
    [FilterOperand.lte]: '<= :EXPRESSION',
    [FilterOperand.ne]: '<> :EXPRESSION',
    [FilterOperand.nin]: 'NOT IN (:...EXPRESSION)',
    [FilterOperand.some]: '&& :EXPRESSION',
};
//# sourceMappingURL=operand.types.js.map